Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.qd
Class OpenCPicParams

    java.lang.Object
      |
      +--quicktime.util.QTByteObject
            |
            +--quicktime.qd.OpenCPicParams

All Implemented Interfaces:
  java.lang.Cloneable, quicktime.jdirect.PrimitivesLib, java.io.Serializable, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class OpenCPicParams
extends QTByteObject
implements quicktime.jdirect.PrimitivesLib, java.lang.Cloneable

Provides information about a picture image relating to the source rectangle, horizontal and vertical resolution of the image. The OpenCPicParams implements methods for a corresponding QuickDraw structure. Its methods offer access to the structure and its fields.

See Also:
  Serialized Form

Field Summary
`static int` | `kNativeSize` This is the size (the number of bytes) that are required for this class

Fields inherited from interface quicktime.jdirect.PrimitivesLib
`JDirect_MacOSX, libraryInstance`

Constructor Summary
`OpenCPicParams(QDRect srcRect)` The OpenCPicParams as a new object.
`OpenCPicParams(QDRect srcRect, float hRes, float vRes)` The OpenCPicParams as a new object.

Method Summary
`java.lang.Object` | `clone()` Return a copy of the OpenCPicParams.
`float` | `getHRes()` Gets the horizontal resolution.
`QDRect` | `getSrcRect()` Gets the bounding rectangle of the picture.
`float` | `getVRes()` Gets the vertical resolution.
`java.lang.String` | `toString()` Print information about this object.

Methods inherited from class quicktime.util.QTByteObject
`equals, fromArray, getBytes, getSize`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kNativeSize

    public static final int kNativeSize

  This is the size (the number of bytes) that are required for this class

Constructor Detail

### OpenCPicParams

    public OpenCPicParams(QDRect srcRect,
                          float hRes,
                          float vRes)

  The OpenCPicParams as a new object.
  Parameters:
    `QDRect` - the dimensions of the picture in pixels
    `hRes` - the horizotal resolution e.g 72 dpi.
    `vRes` - the vertical resolution e.g 72 dpi

### OpenCPicParams

    public OpenCPicParams(QDRect srcRect)

  The OpenCPicParams as a new object.

Method Detail

### getSrcRect

    public QDRect getSrcRect()

  Gets the bounding rectangle of the picture.
  Returns:
    The bounding rectangle.

### getHRes

    public float getHRes()

  Gets the horizontal resolution.
  Returns:
    The horizontal resolution of the picture.

### getVRes

    public float getVRes()

  Gets the vertical resolution.
  Returns:
    The vertical resolution of the picture.

### clone

    public java.lang.Object clone()

  Return a copy of the OpenCPicParams.

### toString

    public java.lang.String toString()

  Print information about this object.
  Overrides:
    `toString` in class `QTByteObject`
  Returns:
    a string representing this object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD